# Copyright © 2023 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or any later version.
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=7

PYTHON_COMPAT=( python3_{10..11} )

inherit distutils-r1

DESCRIPTION="Tool for generating code from CDDL descriptions"
HOMEPAGE="https://github.com/NordicSemiconductor/zcbor"
SRC_URI="mirror://pypi/${PN:0:1}/$PN/$P.tar.gz"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"

RDEPEND=">=dev-python/cbor2-5.4.3[$PYTHON_USEDEP]
	>=dev-python/pyyaml-5.4.1[$PYTHON_USEDEP]
	>=dev-python/regex-2022.3.15[$PYTHON_USEDEP]"
